{% extends "base.html" %}
{% block title %} Afficher userS {% endblock %}
{% block body %}
<div class="container">
	<div class="col-md-12">
		<table class="table table-responsive-sm">
            {% if data %}
				<thead>
					<tr>
						<th class="" >
						  Id
						</th>
						<th class="" >
						  Nom
						</th>
					</tr>
				</thead>
			{% endif %}
			{% for row in data %}
			<tbody>
				<tr>
					  <th class="align-middle">
						  {{ row.id_user }}
					  </th>
					  <th class="align-middle">
						{{ row.prenom_user }}
					  </th>
					  <th class="align-middle">
						<a class="btn btn-primary" href="{{ url_for('user_ajouter_wtf') }}" role="button">Ajouter</a>
					  </th>
					  <th class="align-middle">
						<a class="btn btn-warning" href="{{ url_for('user_update_wtf', id_user_btn_edit_html=row.id_user) }}" role="button">Edit</a>
					  </th>
					  <th class="align-middle">
						<a class="btn btn-danger" href="{{ url_for('user_delete_wtf', id_user_btn_delete_html=row.id_user) }}" role="button">Delete</a>
					  </th>
					<tr>
						<td class="align-middle">
							<a class="btn btn-warning" href="{{ url_for('edit_habiter_selected', id_habiter_edit_html=row.id_user) }}" role="button">Modifier</a>
						</td>
						<td class="align-middle" colspan="5">
							{{ row.adresseuser|default("PAS DE adresse", True) }}
						</td>
					</tr>
				</tr>
			</tbody>
			{% else %}
				<tbody>
					<tr>
						<td>
							Aucun user.
						</td>
						<td>
							<a class="btn btn-primary" href="{{ url_for('user_ajouter_wtf') }}" role="button">Add</a>
						</td>
					</tr>
				</tbody>
			{% endfor %}

		</table>
	</div>
</div>
{% endblock %}
